package Bencher::ScenarioR::SetComparison;

our $VERSION = 0.002; # VERSION

our $results = [
  [
    200,
    "OK",
    [
      {
        dataset     => "elems=200num",
        errors      => 0.00021,
        participant => "Test::Deep",
        rate        => 4.18,
        samples     => 20,
        time        => 239,
        vs_slowest  => 1,
      },
      {
        dataset     => "elems=100num",
        errors      => 6.3e-05,
        participant => "Test::Deep",
        rate        => 17,
        samples     => 20,
        time        => 60,
        vs_slowest  => 4,
      },
      {
        dataset     => "elems=10num",
        errors      => 9.6e-07,
        participant => "Test::Deep",
        rate        => 1500,
        samples     => 20,
        time        => 0.67,
        vs_slowest  => 360,
      },
      {
        dataset     => "elems=200num",
        errors      => 1.1e-07,
        participant => "Set::Tiny",
        rate        => 15000,
        samples     => 20,
        time        => 0.067,
        vs_slowest  => 3600,
      },
      {
        dataset     => "elems=100num",
        errors      => 6.2e-08,
        participant => "Set::Tiny",
        rate        => 30000,
        samples     => 23,
        time        => 0.033,
        vs_slowest  => 7200,
      },
      {
        dataset     => "elems=10num",
        errors      => 6.7e-09,
        participant => "Set::Tiny",
        rate        => 190000,
        samples     => 20,
        time        => 0.0054,
        vs_slowest  => 45000,
      },
    ],
    {
      "func.bencher_args"    => {
                                  action => "bench",
                                  note => "Run by Pod::Weaver::Plugin::Bencher::Scenario",
                                  scenario_module => "SetComparison",
                                },
      "func.bencher_version" => undef,
      "func.cpu_info"        => [
                                  {
                                    address_width                => 64,
                                    architecture                 => "AMD-64",
                                    bus_speed                    => undef,
                                    data_width                   => 64,
                                    family                       => 6,
                                    flags                        => [
                                                                      "fpu",
                                                                      "vme",
                                                                      "de",
                                                                      "pse",
                                                                      "tsc",
                                                                      "msr",
                                                                      "pae",
                                                                      "mce",
                                                                      "cx8",
                                                                      "apic",
                                                                      "sep",
                                                                      "mtrr",
                                                                      "pge",
                                                                      "mca",
                                                                      "cmov",
                                                                      "pat",
                                                                      "pse36",
                                                                      "clflush",
                                                                      "dts",
                                                                      "acpi",
                                                                      "mmx",
                                                                      "fxsr",
                                                                      "sse",
                                                                      "sse2",
                                                                      "ss",
                                                                      "ht",
                                                                      "tm",
                                                                      "pbe",
                                                                      "syscall",
                                                                      "nx",
                                                                      "rdtscp",
                                                                      "lm",
                                                                      "constant_tsc",
                                                                      "arch_perfmon",
                                                                      "pebs",
                                                                      "bts",
                                                                      "rep_good",
                                                                      "nopl",
                                                                      "xtopology",
                                                                      "nonstop_tsc",
                                                                      "aperfmperf",
                                                                      "eagerfpu",
                                                                      "pni",
                                                                      "pclmulqdq",
                                                                      "dtes64",
                                                                      "monitor",
                                                                      "ds_cpl",
                                                                      "vmx",
                                                                      "smx",
                                                                      "est",
                                                                      "tm2",
                                                                      "ssse3",
                                                                      "cx16",
                                                                      "xtpr",
                                                                      "pdcm",
                                                                      "pcid",
                                                                      "sse4_1",
                                                                      "sse4_2",
                                                                      "x2apic",
                                                                      "popcnt",
                                                                      "tsc_deadline_timer",
                                                                      "aes",
                                                                      "xsave",
                                                                      "avx",
                                                                      "lahf_lm",
                                                                      "ida",
                                                                      "arat",
                                                                      "epb",
                                                                      "xsaveopt",
                                                                      "pln",
                                                                      "pts",
                                                                      "dtherm",
                                                                      "tpr_shadow",
                                                                      "vnmi",
                                                                      "flexpriority",
                                                                      "ept",
                                                                      "vpid",
                                                                    ],
                                    L2_cache                     => { max_cache_size => "6144 KB" },
                                    manufacturer                 => "GenuineIntel",
                                    model                        => 42,
                                    name                         => "Intel(R) Core(TM) i5-2400 CPU \@ 3.10GHz",
                                    number_of_cores              => 4,
                                    number_of_logical_processors => 4,
                                    processor_id                 => 0,
                                    speed                        => 2995.375,
                                    stepping                     => 7,
                                  },
                                  {
                                    address_width                => 64,
                                    architecture                 => "AMD-64",
                                    bus_speed                    => undef,
                                    data_width                   => 64,
                                    family                       => 6,
                                    flags                        => [
                                                                      "fpu",
                                                                      "vme",
                                                                      "de",
                                                                      "pse",
                                                                      "tsc",
                                                                      "msr",
                                                                      "pae",
                                                                      "mce",
                                                                      "cx8",
                                                                      "apic",
                                                                      "sep",
                                                                      "mtrr",
                                                                      "pge",
                                                                      "mca",
                                                                      "cmov",
                                                                      "pat",
                                                                      "pse36",
                                                                      "clflush",
                                                                      "dts",
                                                                      "acpi",
                                                                      "mmx",
                                                                      "fxsr",
                                                                      "sse",
                                                                      "sse2",
                                                                      "ss",
                                                                      "ht",
                                                                      "tm",
                                                                      "pbe",
                                                                      "syscall",
                                                                      "nx",
                                                                      "rdtscp",
                                                                      "lm",
                                                                      "constant_tsc",
                                                                      "arch_perfmon",
                                                                      "pebs",
                                                                      "bts",
                                                                      "rep_good",
                                                                      "nopl",
                                                                      "xtopology",
                                                                      "nonstop_tsc",
                                                                      "aperfmperf",
                                                                      "eagerfpu",
                                                                      "pni",
                                                                      "pclmulqdq",
                                                                      "dtes64",
                                                                      "monitor",
                                                                      "ds_cpl",
                                                                      "vmx",
                                                                      "smx",
                                                                      "est",
                                                                      "tm2",
                                                                      "ssse3",
                                                                      "cx16",
                                                                      "xtpr",
                                                                      "pdcm",
                                                                      "pcid",
                                                                      "sse4_1",
                                                                      "sse4_2",
                                                                      "x2apic",
                                                                      "popcnt",
                                                                      "tsc_deadline_timer",
                                                                      "aes",
                                                                      "xsave",
                                                                      "avx",
                                                                      "lahf_lm",
                                                                      "ida",
                                                                      "arat",
                                                                      "epb",
                                                                      "xsaveopt",
                                                                      "pln",
                                                                      "pts",
                                                                      "dtherm",
                                                                      "tpr_shadow",
                                                                      "vnmi",
                                                                      "flexpriority",
                                                                      "ept",
                                                                      "vpid",
                                                                    ],
                                    L2_cache                     => { max_cache_size => "6144 KB" },
                                    manufacturer                 => "GenuineIntel",
                                    model                        => 42,
                                    name                         => "Intel(R) Core(TM) i5-2400 CPU \@ 3.10GHz",
                                    number_of_cores              => 4,
                                    number_of_logical_processors => 4,
                                    processor_id                 => 1,
                                    speed                        => 2889.417,
                                    stepping                     => 7,
                                  },
                                  {
                                    address_width                => 64,
                                    architecture                 => "AMD-64",
                                    bus_speed                    => undef,
                                    data_width                   => 64,
                                    family                       => 6,
                                    flags                        => [
                                                                      "fpu",
                                                                      "vme",
                                                                      "de",
                                                                      "pse",
                                                                      "tsc",
                                                                      "msr",
                                                                      "pae",
                                                                      "mce",
                                                                      "cx8",
                                                                      "apic",
                                                                      "sep",
                                                                      "mtrr",
                                                                      "pge",
                                                                      "mca",
                                                                      "cmov",
                                                                      "pat",
                                                                      "pse36",
                                                                      "clflush",
                                                                      "dts",
                                                                      "acpi",
                                                                      "mmx",
                                                                      "fxsr",
                                                                      "sse",
                                                                      "sse2",
                                                                      "ss",
                                                                      "ht",
                                                                      "tm",
                                                                      "pbe",
                                                                      "syscall",
                                                                      "nx",
                                                                      "rdtscp",
                                                                      "lm",
                                                                      "constant_tsc",
                                                                      "arch_perfmon",
                                                                      "pebs",
                                                                      "bts",
                                                                      "rep_good",
                                                                      "nopl",
                                                                      "xtopology",
                                                                      "nonstop_tsc",
                                                                      "aperfmperf",
                                                                      "eagerfpu",
                                                                      "pni",
                                                                      "pclmulqdq",
                                                                      "dtes64",
                                                                      "monitor",
                                                                      "ds_cpl",
                                                                      "vmx",
                                                                      "smx",
                                                                      "est",
                                                                      "tm2",
                                                                      "ssse3",
                                                                      "cx16",
                                                                      "xtpr",
                                                                      "pdcm",
                                                                      "pcid",
                                                                      "sse4_1",
                                                                      "sse4_2",
                                                                      "x2apic",
                                                                      "popcnt",
                                                                      "tsc_deadline_timer",
                                                                      "aes",
                                                                      "xsave",
                                                                      "avx",
                                                                      "lahf_lm",
                                                                      "ida",
                                                                      "arat",
                                                                      "epb",
                                                                      "xsaveopt",
                                                                      "pln",
                                                                      "pts",
                                                                      "dtherm",
                                                                      "tpr_shadow",
                                                                      "vnmi",
                                                                      "flexpriority",
                                                                      "ept",
                                                                      "vpid",
                                                                    ],
                                    L2_cache                     => { max_cache_size => "6144 KB" },
                                    manufacturer                 => "GenuineIntel",
                                    model                        => 42,
                                    name                         => "Intel(R) Core(TM) i5-2400 CPU \@ 3.10GHz",
                                    number_of_cores              => 4,
                                    number_of_logical_processors => 4,
                                    processor_id                 => 2,
                                    speed                        => "3200.750",
                                    stepping                     => 7,
                                  },
                                  {
                                    address_width                => 64,
                                    architecture                 => "AMD-64",
                                    bus_speed                    => undef,
                                    data_width                   => 64,
                                    family                       => 6,
                                    flags                        => [
                                                                      "fpu",
                                                                      "vme",
                                                                      "de",
                                                                      "pse",
                                                                      "tsc",
                                                                      "msr",
                                                                      "pae",
                                                                      "mce",
                                                                      "cx8",
                                                                      "apic",
                                                                      "sep",
                                                                      "mtrr",
                                                                      "pge",
                                                                      "mca",
                                                                      "cmov",
                                                                      "pat",
                                                                      "pse36",
                                                                      "clflush",
                                                                      "dts",
                                                                      "acpi",
                                                                      "mmx",
                                                                      "fxsr",
                                                                      "sse",
                                                                      "sse2",
                                                                      "ss",
                                                                      "ht",
                                                                      "tm",
                                                                      "pbe",
                                                                      "syscall",
                                                                      "nx",
                                                                      "rdtscp",
                                                                      "lm",
                                                                      "constant_tsc",
                                                                      "arch_perfmon",
                                                                      "pebs",
                                                                      "bts",
                                                                      "rep_good",
                                                                      "nopl",
                                                                      "xtopology",
                                                                      "nonstop_tsc",
                                                                      "aperfmperf",
                                                                      "eagerfpu",
                                                                      "pni",
                                                                      "pclmulqdq",
                                                                      "dtes64",
                                                                      "monitor",
                                                                      "ds_cpl",
                                                                      "vmx",
                                                                      "smx",
                                                                      "est",
                                                                      "tm2",
                                                                      "ssse3",
                                                                      "cx16",
                                                                      "xtpr",
                                                                      "pdcm",
                                                                      "pcid",
                                                                      "sse4_1",
                                                                      "sse4_2",
                                                                      "x2apic",
                                                                      "popcnt",
                                                                      "tsc_deadline_timer",
                                                                      "aes",
                                                                      "xsave",
                                                                      "avx",
                                                                      "lahf_lm",
                                                                      "ida",
                                                                      "arat",
                                                                      "epb",
                                                                      "xsaveopt",
                                                                      "pln",
                                                                      "pts",
                                                                      "dtherm",
                                                                      "tpr_shadow",
                                                                      "vnmi",
                                                                      "flexpriority",
                                                                      "ept",
                                                                      "vpid",
                                                                    ],
                                    L2_cache                     => { max_cache_size => "6144 KB" },
                                    manufacturer                 => "GenuineIntel",
                                    model                        => 42,
                                    name                         => "Intel(R) Core(TM) i5-2400 CPU \@ 3.10GHz",
                                    number_of_cores              => 4,
                                    number_of_logical_processors => 4,
                                    processor_id                 => 3,
                                    speed                        => 2913.152,
                                    stepping                     => 7,
                                  },
                                ],
      "func.elapsed_time"    => 6.51348900794983,
      "func.module_startup"  => undef,
      "func.module_versions" => {
                                  "Bencher::Scenario::SetComparison" => undef,
                                  "Benchmark::Dumb" => "0.10",
                                  "Devel::Platform::Info" => 0.16,
                                  "perl" => "v5.24.0",
                                  "Set::Tiny" => 0.04,
                                  "Sys::Info" => 0.78,
                                  "Sys::Load" => 0.2,
                                  "Test::Deep" => "1.120",
                                },
      "func.note"            => "Run by Pod::Weaver::Plugin::Bencher::Scenario",
      "func.permute"         => ["perl", ["perl"], "participant", [0, 1], "dataset", [0, 1, 2]],
      "func.platform_info"   => {
                                  archname => "x86_64",
                                  codename => "jessie",
                                  is32bit  => 0,
                                  is64bit  => 1,
                                  kernel   => "linux-3.16.0-4-amd64",
                                  kname    => "Linux",
                                  kvers    => "3.16.0-4-amd64",
                                  osflag   => "linux",
                                  oslabel  => "Debian",
                                  osname   => "GNU/Linux",
                                  osvers   => "8.0",
                                  source   => {
                                                "cat /etc/.issue" => "",
                                                "cat /etc/issue"  => "Debian GNU/Linux 8 \\n \\l",
                                                "lsb_release -a"  => "Distributor ID:\tDebian\nDescription:\tDebian GNU/Linux 8.0 (jessie)\nRelease:\t8.0\nCodename:\tjessie",
                                                "uname -a"        => "Linux builder 3.16.0-4-amd64 #1 SMP Debian 3.16.7-ckt7-1 (2015-03-01) x86_64 GNU/Linux",
                                                "uname -m"        => "x86_64",
                                                "uname -o"        => "GNU/Linux",
                                                "uname -r"        => "3.16.0-4-amd64",
                                                "uname -s"        => "Linux",
                                              },
                                },
      "func.precision"       => 0,
      "func.scenario_module" => "Bencher::Scenario::SetComparison",
      "func.sysload_after"   => [0.72, 0.52, 0.48],
      "func.sysload_before"  => [0.67, 0.51, 0.48],
      "func.time_end"        => 1476882339.43465,
      "func.time_factor"     => 1000,
      "func.time_start"      => 1476882332.92116,
      "table.field_aligns"   => ["left", "left", "number", "number", "number", "number", "number"],
      "table.field_units"    => [undef, undef, "/s", "ms"],
      "table.fields"         => [
                                  "participant",
                                  "dataset",
                                  "rate",
                                  "time",
                                  "vs_slowest",
                                  "errors",
                                  "samples",
                                ],
    },
  ],
];

1;
# ABSTRACT: Benchmark set comparison

=head1 DESCRIPTION

This module is automatically generated by Pod::Weaver::Plugin::Bencher::Scenario during distribution build.

A Bencher::ScenarioR::* module contains the raw result of sample benchmark and might be useful for some stuffs later.

